package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.util.Map;

/**
 * 
 * @描述：短信
 * @作者：TianChao
 * @创建时间：2016年10月17日 下午3:04:16 
 * @版本：1.0
 */
public class SendMessageDto implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 8026368438145316971L;
	
	/**
	 * 短信模板编码
	 */
	private String smsTemplateCode;
	/**
	 * 接收的手机号
	 */
	private String phoneNumber;
	/**
	 * 短信模板参数
	 */
	private Map<String, String> paramKeyMap;

	public String getSmsTemplateCode() {
		return smsTemplateCode;
	}
	public void setSmsTemplateCode(String smsTemplateCode) {
		this.smsTemplateCode = smsTemplateCode;
	}
	public String getPhoneNumber() {
		return phoneNumber;
	}
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	public Map<String, String> getParamKeyMap() {
		return paramKeyMap;
	}
	public void setParamKeyMap(Map<String, String> paramKeyMap) {
		this.paramKeyMap = paramKeyMap;
	}

	@Override
	public String toString() {
		return "SendMessageDto{" +
				"smsTemplateCode='" + smsTemplateCode + '\'' +
				", phoneNumber='" + phoneNumber + '\'' +
				", paramKeyMap=" + paramKeyMap +
				'}';
	}


}
